﻿$ErrorActionPreference = 'Stop'
$toolsPath = (Split-Path -Parent $MyInvocation.MyCommand.Definition)
. "$toolsPath\helpers.ps1"

$pp = Get-PackageParameters

$parameters += if ($pp.NoDesktopShortcut)     { " /desktopshortcut 0"; Write-Host "Desktop shortcut won't be created" }
$parameters += if ($pp.NoTaskbarShortcut)     { " /pintotaskbar 0"; Write-Host "Opera won't be pinned to taskbar" }

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'exe'
  url            = 'https://get.geo.opera.com/pub/opera-developer/68.0.3616.0/win/Opera_Developer_68.0.3616.0_Setup.exe'
  url64          = 'https://get.geo.opera.com/pub/opera-developer/68.0.3616.0/win/Opera_Developer_68.0.3616.0_Setup_x64.exe'
  checksum       = 'f0ae4864f9ea7813cc071647963e404626ade8d4cd9eedbaa45dc936db282883'
  checksum64     = 'a04a85e2a5e6f30a25412f841fbc3cd65b56b376d90058c3f5231b8c264c633b'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/install /silent /launchopera 0 /setdefaultbrowser 0' + $parameters
  validExitCodes = @(0)
}

$version = '68.0.3616.0'
if (!$Env:ChocolateyForce -and (IsVersionAlreadyInstalled $version)) {
  Write-Output "Opera $version is already installed. Skipping download and installation."
} else {
  Install-ChocolateyPackage @packageArgs
}
